FreeMat

- Main Page
- Related Pages

vtkJPEGReader

Section: Visualization Toolkit IO Classes

# Usage

vtkJPEGReader is a source object that reads JPEG files. It should be able to read most any JPEG file

To create an instance of class vtkJPEGReader, simply invoke its constructor as follows

      obj = vtkJPEGReader

# Methods

The class vtkJPEGReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkJPEGReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkJPEGReader = obj.NewInstance ()`
- `vtkJPEGReader = obj.SafeDownCast (vtkObject o)`
- `int = obj.CanReadFile (string fname)` - Is the given file a JPEG file?
- `string = obj.GetFileExtensions ()` - Return a descriptive name for the file format that might be useful in a GUI.
- `string = obj.GetDescriptiveName ()` - Return a descriptive name for the file format that might be useful in a GUI.